Summary:	MATE default icons
Name:		mate-icon-theme
Version:	1.16.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}/%{name}-%{version}.tar.xz

BuildRequires: mate-common
BuildRequires: icon-naming-utils
BuildRequires: intltool
Requires: hicolor-icon-theme

%description
MATE default icons

%package devel
Summary:	The pkgconfig for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The pkgconfig for %{name}.

%prep
%setup -q


%build
%configure2_5x --enable-icon-mapping --with-gtk=3.0

%make

%install
rm -rf %buildroot
%makeinstall_std
touch %buildroot%{_datadir}/icons/mate/icon-theme.cache

install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.filter << EOF
^./usr/share/icons/mate/
EOF
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/mate
fi
EOF
chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.script

%post
%update_icon_cache mate
%update_icon_cache hicolor

%postun
%clean_icon_cache mate
%clean_icon_cache hicolor

%files
%defattr(-,root,root,-)
%doc README TODO
%{_datadir}/icons/mate
%{_datadir}/icons/menta
%ghost %{_datadir}/icons/mate/icon-theme.cache
%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.*

%files devel
%defattr(-,root,root,-)
#%_datadir/pkgconfig/%name.pc

%clean
rm -rf %buildroot


%changelog
* Mon Dec 12 2016 adrianomorselli <adrianomorselli> 1.16.0-1uplos2016
- rebuild

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Thu Nov 05 2015 bb <bb> 1.12.0-1pclos2015
- update

* Wed Jun 10 2015 bb <bb> 1.10.1-1pclos2015
- update

* Mon Apr 06 2015 bb <bb> 1.10.0-1pclos2015
- update
